Method: cases.executeBulkChangeStage

Full name: projects.locations.instances.cases.executeBulkChangeStage

Updates the case stage for multiple cases in bulk.

HTTP request


POST https://chronicle.africa-south1.rep.googleapis.com/v1beta/{parent}/cases:executeBulkChangeStage

Path parameters

Parameters
parent

string

Required. The instance to execute bulk change stage on. Format: projects/{project}/locations/{location}/instances/{instance}/cases:executeBulkChangeStage

Request body

The request body contains data with the following structure:

JSON representation
{
  "casesIds": [
    integer
  ],
  "stage": string
}
Fields
casesIds[]

integer

Required. Cases to add change stage for.

stage

string

Required. The case stage to change.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.cases.update

For more information, see the IAM documentation.